Name:           kwooty
Version:        0.8.3
Release:        1%{?dist}
Summary:        A friendly nzb usenet binary download application

License:        GPLv2+
URL:            http://kwooty.sourceforge.net/
Source0:        %{name}-%{version}.tar.gz

BuildRequires:  kdebase-workspace-devel
BuildRequires:  kdelibs4-devel
BuildRequires:  desktop-file-utils
BuildRequires:  gettext

Requires:       unrar
Requires:       par2cmdline
Requires:       kdebase-runtime%{?_kde4_version: >= %{_kde4_version}}

%description
%{name} is a NZB usenet binary download application for KDE 4.
It's main features are:
- Automatic file verification/repairing
- Automatic archive extraction (Rar, Zip and 7z archive formats supported)
- Multi-server support
- Built-in YEnc and UUEncode file decoders
- Watch Folder
- File queue and priority management
- System shutdown scheduler.
- Save/Restore pending downloads when application is closed/open.
- Built-in SSL connection support
- Pause/Resume downloads
- Suspends downloads if disk is full
- Display of Remaining Time or Estimated Time of Arrival (ETA)
- Display of available free disk space
- Automatic connection to host at start-up
- Automatic file downloading after opening Nzb file


%package devel
Summary:        Development files for %{name}
Group:          Development/Libraries
Requires:       %{name}%{?_isa} = %{version}-%{release}

%description devel
%{summary}.


%prep
%setup -q


%build
mkdir -p %{_target_platform}
pushd %{_target_platform}
%{cmake_kde4} ..
popd
make %{?_smp_mflags} -C %{_target_platform}


%install
make install/fast DESTDIR=%{buildroot} -C %{_target_platform}

desktop-file-validate %{buildroot}%{_kde4_datadir}/applications/kde4/%{name}.desktop

%find_lang %{name}

chmod a-x README.txt COPYING


%post
/bin/touch --no-create  %{_kde4_iconsdir}/hicolor &>/dev/null || :

/sbin/ldconfig


%postun
if [ $1 -eq 0 ] ; then
    /bin/touch --no-create  %{_kde4_iconsdir}/hicolor &>/dev/null
    /usr/bin/gtk-update-icon-cache  %{_kde4_iconsdir}/hicolor &>/dev/null || :
fi

/sbin/ldconfig


%posttrans
/usr/bin/gtk-update-icon-cache %{_kde4_iconsdir}/hicolor &>/dev/null || :


%files -f %{name}.lang 
%doc README.txt COPYING TODO
%{_bindir}/%{name}
%{_kde4_libdir}/kde4/%{name}_*
%{_kde4_libdir}/lib%{name}core.so.*
%{_kde4_datadir}/applications/kde4/%{name}.desktop
%{_kde4_datadir}/config.kcfg/%{name}_*.kcfg
%{_kde4_datadir}/config.kcfg/%{name}settings.kcfg
%{_kde4_iconsdir}/hicolor/*/*/*
%{_kde4_appsdir}/%{name}/*
%{_kde4_datadir}/kde4/services/%{name}*
%{_kde4_datadir}/kde4/servicetypes/%{name}plugin.desktop


%files devel
%{_kde4_libdir}/lib%{name}core.so


%changelog
* Tue Mar 27 2012 Gregor Tätzner <brummbq@fedoraproject.org> - 0.8.3-1
- update to 0.8.3

* Sun Mar 25 2012 Gregor Tätzner <brummbq@fedoraproject.org> - 0.8.2-1
- Initial packaging
